Upgrade an agent Base URL https://{kibana_url} POST /api/fleet/agents/{agentId}/upgrade Auth Upgrade a specific agent to a newer version. Authorization Path Header Body Response Required authorization Privileges fleet-agents-all Path parameters agentId string required The agent ID Header parameters kbn-xsrf string required A required header to protect against CSRF attacks Request body { } force boolean skipRateLimitCheck boolean source_uri string version string required Responses 200 Successful response application/json Response Type: object 400 Bad Request application/json attributes object required error string errorType string message string required statusCode number